Create recommendation
Create an eligibiilty recommendation based on the request.
Authorization
BearerAuth Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/eligibility-checks/v1/recommendation" \ -H "Content-Type: application/json" \ -d '{ "eligibility_check_id": "string", "patient": {}, "recommendation": { "payload": {} } }'{ "id": "string", "eligibility_check_id": "string", "recommendation": { "type": "MEDICARE_ADVANTAGE", "payload": { "ma_benefit": null, "payer_id": "string", "payer_name": "string", "member_id": "string" } }, "coverage_id": "2c2eb9bb-3fba-4dea-9c0f-c7984738c3e6", "patient": { "id": "string", "mrn": "string", "organization_id": "string", "last_name": "string", "first_name": "string", "date_of_birth": "2019-08-24", "member_id": "string" }, "votes": [ { "user_id": "string", "value": "UPVOTE" } ], "organization_id": "string", "deactivated": true, "version": 0, "updated_at": "2019-08-24T14:15:22Z", "updating_user_id": "string"}Get recommendation GET
Gets recommendation for eligibility checks based on filters. This endpoint will retrieve all the latest eligibility recommendations for each eligibility recommendation type for the given filters. If you want to get a specific recommendation type, you can use the `type` query parameter.
Vote recommendation PUT
Submit user feedback on an eligibility recommendation. The path must contain the next version number to prevent race conditions. For example, if the current version of the recommendation is n, you will need to send a request to this endpoint with `/{recommendation_id}/{n+1}/vote` to update the vote.